<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="prev" href="node23.html" />
<link rel="parent" href="node20.html" />
<link rel="next" href="node25.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.7.4 Spam Filters</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.7.3 recipient Filters"
  href="node23.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.7 the Privacy Options"
  href="node20.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.8 the Bounce Processing"
  href="node25.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node23.html">2.7.3 Recipient Filters</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node20.html">2.7 The Privacy Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node25.html">2.8 The Bounce Processing</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION002274000000000000000">
2.7.4 Spam Filters</a>
</h3>

<p>
This section provides some adjuncts to spam fighting tools; it
doesn't replace dedicated anti-spam tools such as SpamAssassin or
SpamBayes.

<p>
<dl>
<dt><strong>bounce_matching_headers</strong></dt>
<dd>This variable contains header regular expressions, one per line,
    and if any of a message's headers matches one of these patterns,
    it will be held for moderation.  The format is a colon separated
    header and value, where the header is case insensitive and the
    value is any valid Python regular expression.  Lines that start
    with # are ignored.

<p>
This variable can be used to catch known spammers by writing
    regexps that match against <span class="mailheader">To:</span> or <span class="mailheader">Cc:</span>
    lines, or known-bad <span class="mailheader">Message-ID:</span>s.  Perhaps more useful
    though are patterns that match headers added by spam detection
    tools higher up in the tool chain.  For example, you might
    configure SpamAssassin to add an <span class="mailheader">X-Spam-Score:</span> header
    with between zero and 5 stars depending on the spam score.  Then
    you can add a line to this variable like:

<p>
<div class="verbatim"><pre>
    X-Spam-Score: [*]{3,5}
</pre></div>

<p>
This line will match from 3 to 5 stars in the value of this
    field.
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.7.3 recipient Filters"
  href="node23.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.7 the Privacy Options"
  href="node20.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.8 the Bounce Processing"
  href="node25.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node23.html">2.7.3 Recipient Filters</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node20.html">2.7 The Privacy Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node25.html">2.8 The Bounce Processing</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
